function f = NIG_PDF(x, alpha, beta, mu, delta)
% funkce pocita PDF promenne, ktera ma NIG(alpha > 0, beta, gamma, delta) rozdeleni
% f = PDF(x)

%% vstupy
% x = hodnota promenne, kde zjistujeme hustotu, muze byt skalar nebo vektor
% alpha, beta, mu, delta = parametry NIG rozdeleni

%% vypocet
f = delta*alpha*exp(delta*sqrt(alpha^2 - beta^2) + beta*(x-mu))./(pi * sqrt(delta^2 + (x-mu).^2 )).*besselk(1,alpha*sqrt(delta^2 + (x-mu).^2 ));

%% funkce primo vyuziva funkci 
% --

%% funkce neprimo vyuziva funkci
% --
end