function [nu_band, epsilon_band, mu_band] = exposure_bands(nu, epsilon)
% funkce dela agregaci dat (nu = defaultovatelna expozice v zaokrouhlenych jednotkach, epsilon = ocekavana ztrata v jednotkach) do expozicnich pasem
% v podstate je to dle vzorce (12) a textu kolem
% expozicni pasma jsou dana jako distinct hodnoty nu;
% funkce pak sumuje vsechny epsilon, jejich nu patri do daneho expozicniho pasma
% funkce dale vraci i mu, coz je pomer epsilon_band/nu_band, tedy jakesi PD v pasmu

%% vstupy
% nu      = defaultovatelna expozice v jednotkach (zaokrouhleno na integery)
% epsilon = PD*nu, nezaokrouhluje se

%% vypocet
mu = epsilon./nu;
nu_band = unique(nu);
for j = 1:numel(nu_band);  epsilon_band(j) = sum(epsilon(nu==nu_band(j))); mu_band(j) = sum(mu(nu==nu_band(j))); end; epsilon_band = epsilon_band(:); mu_band = mu_band(:);

%% funkce primo vyuziva funkci 
% --

%% funkce neprimo vyuziva funkci
% --
end