function Q = Q_fixed_PD(PD, rho, x)

x_mat   = repmat(x(:), 1, numel(PD));
rho_mat = repmat(rho(:)',numel(x), 1);

Q = normcdf( ( repmat(norminv(PD(:)'), numel(x), 1) - sqrt(rho_mat).*x_mat)./sqrt(1-rho_mat) );

end