function fp = vasicek_LHP_density(p, q, rho)
% funkce vraci hustotu p (procent) -defaultu v portfoliu, pokud je pst defaultu jednoho q a rho je corr[Z_i, Z_j] = rho je korelace aktiv dluzniku
% pokud chceme zjistit hustotu ztrat (a ne poctu defaultu), musime za p poslat p->ztrata/(1-delta), tim se prevede ztrata na pocet defaultu v relativnim vyjadeni

fp = sqrt(1/rho-1)*exp(0.5*norminv(p).^2 - (norminv(q) - sqrt(1-rho)*norminv(p)).^2/(2*rho));

end