function theta = fit_clayton_copula(u)

f = @(theta)(getLL(theta, u));
%theta = fmincon(f, 0.01, [], [], [], [], 0, 100);
theta = fminunc(f, 0.01);

LL = getLL(theta, u);

end

function LL = getLL(theta, u)

[n,m] = size(u);
LL(1) = n*(m*log(theta) + log(gamma(1/theta + m)) - log(gamma(1/theta)));
LL(2) = - (theta+1)*sum(sum(log(u)));
LL(3) = -(1/theta + m)*sum( log(sum(u.^(-theta), 2) - m +1 ) );
LL    = -sum(LL);
end