function f = stable_PDF(x, alpha, beta, c, mu)
% stable_PDF(x, 2, 0, sqrt(0.5), 0) je normalni rozdeleni

CF = @(u)( exp(1i * u * mu - abs(c*u).^alpha .* (1- 1i*beta*sign(u)* tan(pi*alpha/2)) ) );
for i = 1:numel(x)
    integrand = @(u) (CF(u).* exp(-1i*u*x(i)));
    f(i) = 1/(2*pi)*integral(integrand, -inf, inf);
end
f = real(f);

end