function Q = Q_fixed_PD_double_t(PD, rho, x, nu)

x_mat   = repmat(x(:), 1, numel(PD));
rho_mat = repmat(rho(:)',numel(x), 1);

F_Zi_inv = double_t_quantile(PD, nu, rho);

Q = tcdf( ( repmat(F_Zi_inv(:)', numel(x), 1) - sqrt(rho_mat)*sqrt((nu-2)/nu).*x_mat)./(sqrt(1-rho_mat)*sqrt((nu-2)/nu)), nu);

end